goalGatherPhoneParts.mSteps = 
{
	{ action = "click", object = objectBedroomHandsetcord },
	{ action = "click", object = objectBasementDarkcornerLit },
	{ action = "click", object = objectBedroomCandle },
	{ action = "click", object = objectBasementMatchbox },
	{ action = "solve", layout = layoutBasementCorner },
	{ action = "click", object = objectShedEarpiece1 },
	{ action = "click", object = objectLivingroomEarpiece2 },
}
goalGatherPhoneParts.matchboxRequested = false
-- ----------------------------------------------------------------------------
function goalGatherPhoneParts:onStarted()
    
    objectBedroomHandsetcord:ss(kActive)
    objectBasementDialface:ss(kHidden)
    objectBasementDarkcornerLit:ss(kActive)
    objectShedEarpiece1:ss(kActive)
    objectLivingroomEarpiece2:ss(kActive)
    
end
-- ----------------------------------------------------------------------------
function goalGatherPhoneParts:onClickHO(layout, object, props, x, y)

	if (self.matchboxRequested == false and object == objectBedroomCandle) then
		think("MESSAGE_LIGHT_CANDLE")
		objectBasementMatchbox:ss(kActive)
		self.matchboxRequested = true
		return true
	end
	
	if ((objectBedroomHandsetcord:isFoundOrUsed()) and
		(objectBasementDialface:isFoundOrUsed()) and
		(objectShedEarpiece1:isFoundOrUsed()) and
		(objectLivingroomEarpiece2:isFoundOrUsed())
		) then
		
		self:achieved()
		
	end
	
end
